org.gjt.sp.jedit

## Interface Registers.Register

- All Known Implementing Classes:
    Registers.ClipboardRegister
  Enclosing class:
    Registers

      public static interface Registers.Register

  A register.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.datatransfer.Transferable` | `getTransferable()`
    `void` | `setTransferable(java.awt.datatransfer.Transferable transferable)`
    `void` | `setValue(java.lang.String value)` Deprecated. use `setTransferable(java.awt.datatransfer.Transferable)` instead, for example `setTransferable(new StringSelection(""))`
    `java.lang.String` | `toString()` Deprecated.

- - ### Method Detail

    - #### toString

          @Deprecated
          java.lang.String toString()

      Deprecated.
      Converts to a string.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### setValue

          @Deprecated
          void setValue(java.lang.String value)

      Deprecated. use `setTransferable(java.awt.datatransfer.Transferable)` instead, for example `setTransferable(new StringSelection(""))`
      Sets the register contents.

    - #### getTransferable

          java.awt.datatransfer.Transferable getTransferable()

    - #### setTransferable

          void setTransferable(java.awt.datatransfer.Transferable transferable)